Bug 948745

Summary: [Intel F18 BUG] IMSM metadata contains no information about the resync process ongoing during expanding the size of RAID1 or RAID5 volume
Product: [Fedora] Fedora Reporter: Lukasz Dorau <lukasz.dorau>
Component: mdadmAssignee: Jes Sorensen <Jes.Sorensen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 18CC: agk, chyang, dledford, ed.ciechanowski, maciej.patelczyk, pawel.baldysiak
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: mdadm-3.2.6-19.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 948749 (view as bug list) Environment:
Last Closed: 2013-05-28 02:13:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Lukasz Dorau 2013-04-05 09:57:05 UTC
+++ This bug was initially created as a clone of Bug #903212 +++

Description of problem:
During expanding the size of RAID1 or RAID5 volume the resync process is reported in /proc/mdstat but there is no information about it in the volume’s metadata. Therefore if the RAID volume was stopped during the process of size expansion all information about this progress would be lost, because no checkpoint is saved in the metadata.

Version-Release number of selected component (if applicable):
mdadm-3.2.6-14.fc18

How reproducible:
Always

Steps to Reproduce:
1. Create RAID1 or RAID5 volume of size less than maximum and wait for its normal state, e.g.:
# mdadm -C /dev/md/imsm -amd -e imsm -n 3 /dev/sda /dev/sdb /dev/sdc
# mdadm -C /dev/md/volume -l5 --size 10G -n 3 /dev/sda /dev/sdb /dev/sdc

2. Expand the size of a RAID volume providing new size, e.g.:
# mdadm -G /dev/md/volume --size max

3. Check metadata during rebuild process:
# mdadm -E /dev/md/imsm
  
Actual results:
Metadata contains no information about the resync process ongoing during expanding the size of RAID1 or RAID5 volume. No checkpoint is saved. Metadata shows normal state of the volume.

Expected results:
Metadata contains information about the resync process ongoing during expanding the size of RAID1 or RAID5 volume. Checkpoint is saved.

Comment 1 Lukasz Dorau 2013-04-05 09:58:00 UTC
Patch for this bug has been sent to linux-raid:
[PATCH] Add updating component_size to manager thread of mdmon
http://marc.info/?l=linux-raid&m=136499303231750&w=4

Comment 2 Jes Sorensen 2013-04-23 10:23:40 UTC
included as git commit 4edb8530e889fc7b5e1b5471a0fbfd6c3c116b4a in upstream
mdadm

Comment 3 Fedora Update System 2013-04-23 11:25:08 UTC
mdadm-3.2.6-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-18.fc19

Comment 4 Fedora Update System 2013-04-23 11:26:38 UTC
mdadm-3.2.6-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-18.fc18

Comment 5 Fedora Update System 2013-04-23 16:45:43 UTC
Package mdadm-3.2.6-18.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.6-18.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6372/mdadm-3.2.6-18.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-24 13:48:18 UTC
mdadm-3.2.6-19.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-19.fc19

Comment 7 Fedora Update System 2013-04-24 13:52:59 UTC
mdadm-3.2.6-19.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-19.fc18

Comment 8 Fedora Update System 2013-05-28 02:13:21 UTC
mdadm-3.2.6-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-07-05 02:10:53 UTC
mdadm-3.2.6-19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.